/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * @format
 * @flow
 */

import React, { Component } from 'react';
import {
  StyleSheet,
  Text,
  View,
} from 'react-native';

import { compose } from 'redux';
import { connect } from 'react-redux';
import { push } from '../BasicNavigator/actions';


type Props = {};
const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: '#F5FCFF',
  },
  instructions: {
    textAlign: 'center',
    color: '#333333',
    marginBottom: 5,
  },
});

class NativeComponentList extends Component<Props> {
  render() {
    console.log('ServicePage', this.props);
    return (
      <View style={styles.container}>
          <Text style={styles.instructions}>NativeComponentList</Text>
      </View>
    );
  }
}

function actionMapping(dispatch) {
  return {
    push: compose(dispatch, push),
  };
}
export default connect(null, actionMapping)(NativeComponentList);
